$red: #e74c3c;
$green: #18bc9c;

.alert {
  margin-top: 10px;
}

.btn {
  margin: 20px 10px 10px 0;
}

.transpose {
  display: flex;
}

.tablediv td fieldset {
  min-width: 50px;
}

.transpose tr {
  display: block;
  float: left;
}

.transpose td {
  display: block;
  min-width: 136px;
  min-height: 80px;
  border-top: 1px solid gray;
  border-left: none !important;
}

.transpose tr th {
  padding-top: 0.5em;
  padding-bottom: 0.5em;
  display: block;
  min-height: 80px;
}

.paging-diagram th {
  text-align: center;
}

.paging-diagram td {
  padding: 0.5em;
  border-left: 1px solid gray;
  text-align: center;
  white-space: nowrap;
}

.paging-diagram td .form-control {
  width: auto;
  display: inline-block;
}

.tablediv {
  overflow: auto;
}

.form-check-input-wrong {
  border-color: $red;
}

.form-check-input-wrong:checked {
  background-color: $red;
  border-color: $red;
}

.form-check-input-correct {
  border-color: $green;
}

.form-check-input-correct:checked {
  background-color: $green;
  border-color: $green;
}

.flag {
  background-color: #ecf0f1;
}

.correct-table-cell {
  padding-right: 0;
  background-image: none !important;
}

.gray-table {
  background-color: #e4e5e6;
}

@-moz-document url-prefix() {
  //Just for Mozilla's Firefox
  .paging-diagram td .form-control {
    max-width: 68px;
  }
  .paging-diagram td .form-control.is-invalid {
    max-width: 92px;
  }
  .paging-diagram td.clockCell .form-control {
    max-width: 116px;
  }
}
